import { DetailedClub, SummaryActivity, SummaryAthlete, SummaryClub } from '../models';
import { Request } from '../request';
declare type GetClubActivitiesByIdRequest = {
    [key: string]: string | number | boolean;
    id: number;
    page?: number;
    per_page?: number;
};
declare type GetClubAdminsByIdRequest = {
    [key: string]: string | number | boolean;
    id: number;
    page?: number;
    per_page?: number;
};
declare type GetClubByIdRequest = {
    [key: string]: string | number | boolean;
    id: number;
};
declare type GetClubMembersByIdRequest = {
    [key: string]: string | number | boolean;
    id: number;
    page?: number;
    per_page?: number;
};
declare type getLoggedInAthleteClubsRequest = {
    page?: number;
    per_page?: number;
};
export declare class Clubs {
    private readonly request;
    constructor(request: Request);
    getClubActivitiesById(params: GetClubActivitiesByIdRequest): Promise<SummaryActivity[]>;
    getClubAdminsById(params: GetClubAdminsByIdRequest): Promise<SummaryAthlete[]>;
    getClubById(params: GetClubByIdRequest): Promise<DetailedClub>;
    getClubMembersById(params: GetClubMembersByIdRequest): Promise<SummaryAthlete[]>;
    getLoggedInAthleteClubs(params?: getLoggedInAthleteClubsRequest): Promise<SummaryClub[]>;
}
export {};
